/*-----------------------------------------------------*/
/*--	Micro-EMPIX Processes  (proc.h)               -*/
/*--    Ver 1.0 (c) 2004                              -*/
/*--	E             -*/
/*--    ==================================            -*/
/*--    .                  -*/
/*--    .                        -*/
/*--    . .                      -*/
/*-----------------------------------------------------*/

#ifndef _DEFS_H
	#define _DEFS_H
	#include "defs.h"
#endif

/* ====================================================*/
/* ============== Function Prototypes =================*/
/* ====================================================*/

extern void create (void *procaddr, int priority, char *name, int type);
extern int reschedule ();

/* ====================================================*/
/* ==========   ============*/
/* ====================================================*/

extern struct pcb proctab[MAXPROC];
extern int current; 					/*    */
extern int numproc; 					/*      .. */
extern int stacks[MAXPROC][STACKSIZE];  /*     */
extern int preempt; 					/*        */
extern int preregs[8]; 					/*      */